### Enumeration

# Gimp CpuAccelFlags

unstable since: 3.0

#### Declaration

    enum Gimp.CpuAccelFlags

#### Description [src]

Types of detectable CPU accelerations.

Available since: 3.0

#### Members

`GIMP_CPU_ACCEL_NONE`

  None.

  - Value: `0`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_MMX`

  MMX.

  - Value: `2147483648`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_3DNOW`

  3dNow.

  - Value: `1073741824`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_MMXEXT`

  MMXEXT.

  - Value: `536870912`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_SSE`

  SSE.

  - Value: `268435456`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_SSE2`

  SSE2

  - Value: `134217728`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_SSE3`

  SSE3

  - Value: `33554432`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_SSSE3`

  SSSE3

  - Value: `16777216`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_SSE4_1`

  SSE4_1

  - Value: `8388608`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_SSE4_2`

  SSE4_2

  - Value: `4194304`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_X86_AVX`

  AVX.

  - Value: `2097152`
  - Nickname: `None`
  - Available since: 3.0
`GIMP_CPU_ACCEL_PPC_ALTIVEC`

  Altivec.

  - Value: `67108864`
  - Nickname: `None`
  - Available since: 3.0